Skip to navigation

StepAudio 2.5 Chat

StepAudio 2.5 Chat
StepFun · Text Generation
POST /v1/chat/completions

StepFun audio and text conversation model with text output and paralinguistic understanding.

See StepAudio 2.5 Chat pricing and specs or try it in the Playground.

At a glance

FieldValue
Model idstepaudio-2-5-chat
Model release date-
Input modalitiesText, Audio
Output modalitiesText
Context window256K
Weight precision-
Max output tokens131,072
RegionInternational
Featuresaudio_input, speech_understanding, prompt_cache, multimodal, web_search
Native inferenceNo
NewNo
Structured outputJSON Mode
Supported endpointsPOST /v1/chat/completions, POST /v1/responses, POST /v1/messages, POST /v1beta/models/stepaudio-2-5-chat:generateContent
Alternate model idsstepaudio-2.5-chat, stepfun/stepaudio-2-5-chat, stepfun/stepaudio-2.5-chat

Pricing

ChargeSpecRate
Inputper 1M prompt tokens$1.50
Outputper 1M generated tokens$3.50
Implicit cache readper 1M cached input tokens$0.30
Web Search (Linkup)per call when invoked$0.013

Example request

curl https://api.empiriolabs.ai/v1/chat/completions \
-H "Authorization: Bearer $EMPIRIOLABS_API_KEY" \
-H 'Content-Type: application/json' \
-d '{"model": "stepaudio-2-5-chat", "messages": [{"role":"user","content":"Hello"}]}'

Parameters

ParameterTypeRequiredDefaultDescription
temperaturenumberno0.5Sampling temperature. · Range: 0 – 2
top_pnumberno0.9Nucleus sampling probability mass. · Range: 0.01 – 1
max_tokensintegerno4096Maximum output tokens. · Range: 1 – 131072
stoparrayno-Stop sequences.
frequency_penaltynumberno0Penalty for repeated tokens. · Range: -2 – 2
modalitiesarrayno["text"]Response modalities. Text output is currently exposed.
response_formatobjectno-OpenAI-compatible response format. Use {“type”:“json_object”} for JSON object mode.
toolsarrayno-OpenAI-compatible function tools.
tool_choicestringno-OpenAI-compatible tool choice.
web_search_linkupbooleannofalseOptional web search powered by Linkup. When enabled, recent web sources are retrieved using your latest user message as the query and provided to the model as additional context. Adds $0.013 per call when invoked on top of the model’s normal token cost. Disabled by default.
disable_formattingbooleannofalseReturn the answer without the Sources list that web search adds.

Notes

Accepts text or base64 audio input and returns text. Linkup web search is available for text prompts.


Machine-readable schema: GET https://api.empiriolabs.ai/v1/models/stepaudio-2-5-chat.